# classes/phing/filters/util/IniFileTokenReader.php

## \IniFileTokenReader
jump to top

Class that allows reading tokens from INI files.

Extends from
  \TokenReader
author
  Manuel Holtgewe
package
  phing.filters.util
version
  $Revision: 526 $

### Properties

`object $file= 'null'`

Holds the path to the INI file that is to be read.

Reference to a PhingFile Object representing the path to the INI file.
Default value `null` Details

Type
  object

`string $section= 'null'`

Sets the section to load from the INI file. if omitted, all sections are loaded.
Default value `null` Details

Type
  string

### Methods

`readToken( ) : \Token`
Reads the next token from the INI file
Returns

Type | Description
--- | ---
\Token |

Details

throws
  On error

`setFile( $file ) :`
Parameters

Name | Type | Description
--- | --- | ---
$file |  |

`setSection( $str ) :`
Parameters

Name | Type | Description
--- | --- | ---
$str |  |

Documentation was generated by DocBlox 0.13.1.